Bug 123538 - CAN-2004-0396 CVS pserver heap overflow via Entry/Is-modified/Unchanged
CAN-2004-0396 CVS pserver heap overflow via Entry/Is-modified/Unchanged
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cvs (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 03:18 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.11.15-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 15:48:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cvs-1.11.15-entry.patch (3.57 KB, patch)
2004-05-19 09:16 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2004-05-19 03:18:43 EDT
Stefan Esser of eMatters discovered a flaw in the CVS pserver which
allows malicious clients to execute arbitrary code with the privileges
of the CVS server.

CAN-2004-0396 Affects: FC1 FC2

Was embargoed until May19
	
http://security.e-matters.de/advisories/072004.html
Comment 1 Robert Scheck 2004-05-19 09:16:04 EDT
Created attachment 100329 [details]
cvs-1.11.15-entry.patch

--- cvs.spec	   2004-04-22 19:57:50.000000000 +0200
+++ cvs.spec.rsc   2004-05-19 15:14:46.000000000 +0200
@@ -13,6 +13,7 @@
 Patch3: cvs-1.11.2-abortabort.patch
 Patch4: cvs-1.11.1p1-bs.patch
 Patch5: cvs-1.11.15-extzlib2.patch
+Patch6: cvs-1.11.15-entry.patch
 Prereq: /sbin/install-info
 Prefix: %{_prefix}
 Buildroot: %{_tmppath}/%{name}-root
@@ -44,6 +45,7 @@
 # Apply a patch to the generated files, OR
 # run autoreconf and require autoconf >= 2.58, automake >= 1.7.9
 %patch5 -p1 -b .extzlib2
+%patch6 -p1 -b .entry

 # Move my cvs xinetd example file in the correct directory
 install -m 644 %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}/
Comment 2 Nalin Dahyabhai 2004-05-19 15:48:50 EDT
Closing and marking ERRATA, for lack of UPDATE or some other more
appropriate term.

Note You need to log in before you can comment on or make changes to this bug.